aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/tcl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter8/tcl.sh')
-rw-r--r--chapter8/tcl.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/chapter8/tcl.sh b/chapter8/tcl.sh
index ba630df..244817a 100644
--- a/chapter8/tcl.sh
+++ b/chapter8/tcl.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
tar -xf ../tcl"${VERSION}"-html.tar.gz --strip-components=1 &&
@@ -6,7 +7,7 @@ SRCDIR=$(pwd)
cd unix || exit 1
./configure --prefix=/usr \
--mandir=/usr/share/man \
- "$([ "$(uname -m)" = x86_64 ] && echo --enable-64bit)" &&
+ "$([ "$(uname -m)" = x86_64 ] || [ "$(uname -m)" = aarch64 ] && echo --enable-64bit)" &&
make &&